Problems installing mmex 1.3.3 on SuSE tumbleweed.

Almost any Unix workstation with GTK+ 2.0 and above.

Moderator: Renato

Post Reply
PMaff
New MMEX User
Posts: 6
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Problems installing mmex 1.3.3 on SuSE tumbleweed.

Post by PMaff »

I am using the instructions on
https://github.com/moneymanagerex/money ... te-package
to install MMEX on the newest SuSE tumbleweed (zypper dup and zypper update done just before).

When trying
git clone --recursive https://github.com/moneymanagerex/moneymanagerex
I get
-- MMEX configuration summary
-- ==========================
-- Version : 1.4.0-alpha.7
-- Commit : cbf6332e (2019-08-06)
-- Branch : master
-- Host system : Linux x86_64
-- Target system : Linux x86_64
-- Build types : Release
-- Generator : Unix Makefiles
-- Install prefix : /usr/local
-- DB encryption : ON
--
-- Versions
-- ========
-- Linux 5.2.5-1-default
-- openSUSE 20190809
-- CMake 3.14.5
-- GNU Make 4.2.1
-- ccache 3.7.1
-- Clang 8.0.1
-- wxWidgets 3.0.4
-- wxSQLite3 4.4.3
-- Lua 5.3.4
-- curl 7.65.3
-- gettext 0.19.8.1
--
-- Configuring done
-- Generating done

and the
cmake --build . --target package
fails with some compile errors like
[ 43%] Building CXX object src/CMakeFiles/mmex.dir/maincurrencydialog.cpp.o
In file included from /home/pmaff/Technical/Finance/mmexfromgit/moneymanagerex/src/general_report_manager.cpp:20:
/home/pmaff/Technical/Finance/mmexfromgit/moneymanagerex/src/./general_report_manager.h:102:5: error: unknown type name 'wxWebView'
wxWebView* m_outputHTML;
^
...
fatal error: too many errors emitted, stopping now [-ferror-limit=]
20 errors generated.

When I try
git clone --recursive https://github.com/moneymanagerex/moneymanagerex --branch v1.3.3

I get
moneymanagerex/build> cmake -DCMAKE_BUILD_TYPE=Release ..
CMake Error: The source directory "/home/pmaff/Technical/Finance/mmexfromgit/moneymanagerex" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.

A simple configure:
mmexfromgit/moneymanagerex> ./configure
suddenly says:
...
Configuration for MoneyManagerEx 1.2.0 successfully completed.

MMEX 1.2.0 when I said --branch v1.3.3 ?

What is going wrong here?

(I did install mmex on an Ubuntu 18.04 machine -which only worked with wxWidgets 3.0.4- and an older SuSE machine so I know how to compile, change headers and so on).
PMaff
New MMEX User
Posts: 6
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Re: Problems installing mmex 1.3.3 on SuSE tumbleweed.

Post by PMaff »

Bump.

Still no solution for this?
I am also having problems with the new 1.3.5.
build> cmake -DCMAKE_BUILD_TYPE=Release ..
there gives:
"-- The C compiler identification is GNU 10.1.1
-- The CXX compiler identification is GNU 10.1.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc - works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ - works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found compile cache tool: /usr/bin/ccache (found version "3.7.9")
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:164 (message):
Could NOT find wxWidgets (missing: wxWidgets_LIBRARIES) (Required is at
least version "2.9.2")
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:445 (_FPHSA_FAILURE_MESSAGE)
/usr/share/cmake/Modules/FindwxWidgets.cmake:1008 (find_package_handle_standard_args)
CMakeLists.txt:280 (find_package)
..."

I do have wxWidgets-3_2-devel version 3.1.3-3.1 from SuSE Tumbleweed installed.

Any help on this?
PMaff
New MMEX User
Posts: 6
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Re: Problems installing mmex 1.3.3 on SuSE tumbleweed.

Post by PMaff »

For SuSE Tumbleweed I get constant errors of the kind

moneymanagerex/build> cmake --build . --target package
...
moneymanagerex/src/general_report_manager.h:104:5: error: ‘wxWebView’ does not name a type

for 1.3.3 and 1.3.5

moneymanagerex/build> cmake -DCMAKE_BUILD_TYPE=Release ..
had no error message of any kind.
Found wxWidgets: -L/usr/local/lib64;-pthread;;;-lwx_gtk2u-3.1 (found suitable version "3.1.0", minimum required is "2.9.2")
looks also ok.

This time a self compiled wxWidgets-3.1.0 .

Any pointers?
PMaff
New MMEX User
Posts: 6
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Same for 1.3.5 (was: Re: Problems installing mmex 1.3.3 on SuSE tumbleweed.)

Post by PMaff »

I was getting version 1.3.5 via https://github.com/moneymanagerex/money ... ree/v1.3.5 and "Download ZIP".
There seems to be an error when this zip file is packed:
build> cmake -DCMAKE_BUILD_TYPE=Release ..
gives:
CMake Error at 3rd/CMakeLists.txt:123 (file):
file STRINGS file
"/home/pmaff/mmex/moneymanagerex-1.3.5/3rd/lua/lua.h"
cannot be read.

moneymanagerex-1.3.5/3rd/lua/lua.h': No such file or directory

:?
Edit: when getting the 1.3.5 sources here:
https://github.com/moneymanagerex/money ... tag/v1.3.5
moneymanagerex-1.3.5/build> cmake -DCMAKE_BUILD_TYPE=Release ..
gives another error:

-- Found wxSQLite3: wxcode_gtk2u_wxsqlite3-3.0 (found version "4.5.1")
CMake Warning at 3rd/CMakeLists.txt:157 (message):
wxSQLite3 found does not support database encryption - compiling from
sources


CMake Error at 3rd/CMakeLists.txt:162 (file):
file STRINGS file
"/home/pmaff/mmex/moneymanagerex-1.3.5/3rd/wxsqlite3/include/wx/wxsqlite3_version.h"
cannot be read.

mmex/moneymanagerex-1.3.5/3rd/wxsqlite3/include/wx/wxsqlite3_version.h': No such file or directory
:-(

So the packing of the sources in either zip file or tar.gz seems to have errors.
Nikolay
MMEX Developer
Posts: 1399
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: Problems installing mmex 1.3.3 on SuSE tumbleweed.

Post by Nikolay »

Post Reply